LibraryProfileItem Class

The LibraryProfileItem class contains information from library profiles in the catalog. Library profile items can be enumerated using a profile item enumerator.
Inheritance Hierarchy

Namespace:  Tekla.Structures.Catalogs
Assembly:  Tekla.Structures.Catalogs (in Tekla.Structures.Catalogs.dll) Version: 2023.0.3
Syntax
public sealed class LibraryProfileItem : ProfileItem

The LibraryProfileItem type exposes the following members.

Constructors
  NameDescription
Public methodLibraryProfileItem
Creates a new library profile item instance.
Top
Properties
  NameDescription
Public propertyaProfileItemAnalysisParameters
An array list with the profile item analysis parameters.
Public propertyaProfileItemParameters
An array list with the profile item parameters.
(Inherited from ProfileItem.)
Public propertyaProfileItemUserParameters
An array list with the profile item user parameters.
Public propertyIsMultiCrossSectionUserParametric
Whether the profile is a parametric user-defined multi cross section profile.
(Inherited from ProfileItem.)
Public propertyIsSketchedUserParametric
Whether the profile is a parametric user-defined sketched profile.
(Inherited from ProfileItem.)
Public propertyNumberOfCrossSections
The number of cross sections in the profile item.
(Inherited from ProfileItem.)
Public propertyParameterString
The profile item parameter string.
(Inherited from ProfileItem.)
Public propertyProfileItemSubType
The profile item subtype.
(Inherited from ProfileItem.)
Public propertyProfileItemType
The profile item type.
(Inherited from ProfileItem.)
Public propertyProfileName
The profile item name.
Top
Methods
  NameDescription
Public methodCode exampleCopy
Copy the library profile item in the profile database to item with new name.
Public methodDelete
Deletes the profile item in the profile database.
Public methodCode exampleExport
Exports the profile item in the profile database to given file name. Currently library profiles, sketch profiles and clb profiles are supported. Library profiles are exported to *.lis format. Sketch profiles are exported to *.uel format. Clb profiles are exported to *.clb format. If path is not given profile is exported to model folder. If filename is empty profile name or prefix is used as filename.
(Inherited from ProfileItem.)
Public methodCode exampleGetCrossSection
Returns list of cross section points of inner surfaces from the profile item.
(Inherited from ProfileItem.)
Public methodGetHighAccuracyCrossSection
Get cross section with high accuracy.
(Inherited from ProfileItem.)
Public methodIsProfileUserDefined
Whether the profile is a fixed user-defined profile.
(Inherited from ProfileItem.)
Public methodIsProfileUserParametric
Whether the profile is a parametric user-defined profile. If so, the prefix can be asked by type and subtype.
(Inherited from ProfileItem.)
Public methodModify
Modifies the profile item in the profile database.
Public methodModifyProfileItemAnalysisParameter
Modify analysis parameter of library profile item. Modify is needed for profile item for updating changes to profile database
(Inherited from ProfileItem.)
Public methodModifyProfileItemParameter
Modify parameter of library profile item. Modify is needed for profile item for updating changes to profile database
(Inherited from ProfileItem.)
Public methodModifyProfileItemUserParameter
Modify user parameter of library profile item. Modify is needed for profile item for updating changes to profile database
(Inherited from ProfileItem.)
Public methodSelect
Selects the profile item in the profile database.
(Inherited from ProfileItem.)
Public methodSelect(String)
Selects the profile item in the profile database using the given name.
Top
Examples
It is possible to select a library profile item by its name:
using Tekla.Structures.Catalogs;

public class Example
{
       public void Example1()
       {
           LibraryProfileItem LibraryProfileItem = new LibraryProfileItem();
           LibraryProfileItem.ProfileName = "HEA300";
           LibraryProfileItem.Select();
           //Equivalent code:
           LibraryProfileItem LibraryProfileItem1 = new LibraryProfileItem();
           LibraryProfileItem1.Select("HEA300");
       }
}
See Also
Was this helpful?
The feedback you give here is not visible to other users. We use your comments to improve the content.
Previous
Next